root{
	--secondary-bg: #aaa;
	--darken4: #0004;
	--darken8: #0008;
	--lightest:#fee;
}


body {
	font-family: "Avenir Next",system-ui, sans serrif;
	font-size: 100%;
	line-height: 1.4em;
	margin: 0;
}

body>* {
	padding:1em;
}

main,footer {
	margin: 1em;
	
}
	
	header {
	background-color: var(--darken8);
	align-content: center;
	min-height: 50vh;
	display: flex;
	flex-direction: column;
	align-items: stretch;
	background-image: linear-gradient(#0006,#0006), url("images/Seattle-freeway.jpg");
	background-size: cover;
	color: var(--light);
	}
	h1 {
		outline: 2px dotted red;
		text-align: center;
		background-color: var(--darken4)
		
	}
	
	header>* { 
	outline: 2px dotted red;
	text-align: center;
	margin: 0;
	}
	
	h2 {
		font-size: 32px;
		text-shadow: 5px 5px #000;
	}
	
	ul.nav {list-style: none;
			padding: 0;
			display: flex; 
			flex-direction: row;
			justify-content: space-evenly;
			
	}
		
	li.toplinks {
			background-color: #0004;
			min-width: 20%;
			padding: .2em .8em .3em
	}
	
	a.toplink {
		color: var(--lightest);
		background-color: var(--darken8);
		display: block;
		border-radius: 4px;
		text-decoration: none;
	}
		
	main{
		display: flex;
		flexbox-direction: column;
		gap: 3%;
	}
	main>section{
		width: 50%;
	}
	section.primary {
		flex: 3;
	}
	
	section.secondary {
		flex: 2;
	}
	